package com.example.criminalintent

import androidx.fragment.app.Fragment

class CrimeListActivity : SingleFragmentActivity() {
//Inherits from SingleFragmentActivity, which is an activity whose layout
    //contains but a single fragment
    override fun createFragment(): Fragment {
        return CrimeListFragment()
    }
//I must provide the code for this method createFragment since the class that
    //defined it, SingleFragmentActivity, declined to do so.
}
